Loading...
Searching...
No Matches
apr_queue.h File Reference

Thread Safe FIFO bounded queue. More...

`#include "apu.h"`
`#include "apr_errno.h"`
`#include "apr_pools.h"`
Include dependency graph for apr_queue.h:

Go to the source code of this file.

## Typedefs

typedef struct apr_queue_t | apr_queue_t

## Functions

apr_status_t | apr_queue_create (apr_queue_t **queue, unsigned int queue_capacity, apr_pool_t *a)
apr_status_t | apr_queue_push (apr_queue_t *queue, void *data)
apr_status_t | apr_queue_pop (apr_queue_t *queue, void **data)
apr_status_t | apr_queue_trypush (apr_queue_t *queue, void *data)
apr_status_t | apr_queue_trypop (apr_queue_t *queue, void **data)
unsigned int | apr_queue_size (apr_queue_t *queue)
apr_status_t | apr_queue_interrupt_all (apr_queue_t *queue)
apr_status_t | apr_queue_term (apr_queue_t *queue)

## Detailed Description

Thread Safe FIFO bounded queue.

Note
  Since most implementations of the queue are backed by a condition variable implementation, it isn't available on systems without threads. Although condition variables are sometimes available without threads.